Subject: RE: apache2 as service
From: "Prakash Khemani" <[email-masked]>
To: <[email-masked]>
Cc: "Peter Rehley" <[email-masked]>
Date: Fri, 17 Sep 2004 16:10:02 -0700

> What, no more information?

Actually there is more information in the Event Viewer under
Application.

The cygapache service gave out the following error message

"cygapache : PID 604 : starting service `cygapache' failed: signal 12
raised."

I am tring to run "httpd -k start -D FOREGROUND" as the cygapache
service.

Thanks,
Prakash

> -----Original Message-----
> From: Igor Pechtchanski [mailto:[email-masked]]
> Sent: Friday, September 17, 2004 3:12 PM
> To: Prakash Khemani
> Cc: Peter Rehley; [email-masked]
> Subject: RE: apache2 as service
> 
> On Fri, 17 Sep 2004, Prakash Khemani wrote:
> 
> > > Check the windows event viewer for more logs.
> >
> > Windows event viewer has errors saying that the cygapache service
> > terminated unexpectedly.
> 
> What, no more information?
> 
> > > Configuration problems.  File permissions.  Check them all.
> >
> > I doubt that this would be a problem. When I start it at the command
> > line everything works fine.
> 
> When you start it at the command line, it runs as you.  When you start
it
> as a service, it runs as a different user (SYSTEM).  Listen to what
people
> tell you -- check the file permissions.
> 
> > Httpd spawns multiple processes. Can that be an issue?
> >
> > Thanks,
> > Prakash
> >
> > > -----Original Message-----
> > > From: Peter Rehley [mailto:peter<at>rehley<dot>net]
> > > Sent: Friday, September 17, 2004 9:46 AM
> > > To: Prakash Khemani
> > > Cc: cygwin<at>cygwin<dot>com
> 
> Oh, and <http://cygwin.com/acronyms/#PCYMTNQREAIYR>.
> 	Igor
> --
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "Happiness lies in being privileged to work hard for long hours in
doing
> whatever you think is worth doing."  -- Dr. Jubal Harshaw

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/